Opened 5 years ago

Last modified 4 years ago

#23 reopened defect

Format of processing algorithms

Reported by: charliep@… Owned by: charliep@…
Priority: minor Milestone:
Component: aodvv2 Version:
Severity: Active WG Document Keywords:
Cc:

Description

(Thomas Clausen) .... I like bullet-point-pseudocode over "textual pseudocode". E.g something like this is more readable to me:

Upon receiving an RREQ, a router:

  1. Record X;
  2. Record Y;
  3. Test z then:
    1. If z Do FOO;
    2. otherwise: Do BAR;
  4. Retransmit the RREQ

Change History (4)

comment:1 Changed 5 years ago by charliep@…

  • Owner changed from draft-ietf-manet-aodvv2@… to charliep@…

comment:2 Changed 5 years ago by charliep@…

On 4/3/2014 5:00 PM, Abdussalam Baryun wrote:

That method of describing conditions are not similar way followed in RFC3561. The below uses more lines in the draft, but not sure what is problem with the current method used.

============================================================================

On 4/3/2014 11:13 PM, Henning Rogge wrote:

On 04/04/2014 02:00 AM, Abdussalam Baryun wrote:

That method of describing conditions are not similar way followed in RFC3561. The below uses more lines in the draft, but not sure what is problem with the current method used.

Algorithmic descriptions as large text blocks (instead of bullet lists with short statements) are more easy to interpret in different ways, which opens the door for incompatible implementations.

============================================================================

On 4/4/2014 4:39 PM, Abdussalam Baryun wrote:

I went through this discussion before on the IETF list and the answer was no, it is more better to use a simple text, and not use simple bullet points.

============================================================================

On 4/7/2014 12:27 PM, Abdussalam Baryun wrote:

http://www.ietf.org/mail-archive/web/ietf/current/msg76625.html That reference may not get the same understanding I got. But I understood from that thread discussion and others the reason why specification drafts go better for sentence text than go for sequence points.

============================================================================

On 4/11/2014 4:23 PM, Charles E. Perkins wrote:

The point of the specification is to enable interoperable implementations,. Some people prefer a short stepwise description of the algorithm, and some people prefer to read (unambiguous) text describing each step in more detail. I don't see why the specification cannot satisfy both groups. I will develop the formulation with short statements as requested.

============================================================================

On 6/17/2014 5:51 AM, Lotte Steenbrink wrote:

I am aware of that. My point is: while I appreciate your hard work to move the spec to another level, unfortunately I don't understand the purpose of your pseudocode efforts. The only explanation I was able to come up with was that the pseudocode was a reaction to the remark by Thomas Heide Clausen that you put into the issue tracker, in which case, I'd say I'd interpret it differently...

comment:3 Changed 4 years ago by charliep@…

  • Resolution set to fixed
  • Status changed from new to closed

This issue can be closed and relevant comments instead directed towards issue #24.

comment:4 Changed 4 years ago by charliep@…

  • Resolution fixed deleted
  • Status changed from closed to reopened
Note: See TracTickets for help on using tickets.